OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
cl::ImageFormat Struct Reference

Adds constructors and member functions for cl_image_format. More...

`#include <cl2.hpp>`

Inherits cl_image_format.

## Public Member Functions
| ImageFormat ()
| Default constructor - performs no initialization. More...
| ImageFormat (cl_channel_order order, cl_channel_type type)
| Initializing constructor. More...
ImageFormat & | operator= (const ImageFormat &rhs)
| Assignment operator. More...

## Detailed Description

Adds constructors and member functions for cl_image_format.

ImageFormat

See Also
  cl_image_format

## Constructor & Destructor Documentation

cl::ImageFormat::ImageFormat | ( |  | ) |
| inline

Default constructor - performs no initialization.

cl::ImageFormat::ImageFormat | ( | cl_channel_order | order,
|  | cl_channel_type | type
| ) |  |
| inline

Initializing constructor.

## Member Function Documentation

ImageFormat& cl::ImageFormat::operator= | ( | const ImageFormat & | rhs | ) |
| inline

Assignment operator.

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp